Processing Refactor Fields tool: some field types appear twice in the list

2017-03-02 08:34 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24169

Description

In the Processing tool Refactor Fields, using a shapefile, I get twice "Double" and "Date" values in the Type column drop-down.

master f354a85, Windows 10

History

#1 - 2017-03-02 09:15 AM - Giovanni Manghi

It affects also 2.18 and 2.14, so it seems never worked 100% ok.

#2 - 2017-04-04 03:14 AM - Victor Olaya

Looks like it's intentional

fieldTypes = OrderedDict([

        (QVariant.Int, "Integer"),

        (QVariant.Double, "Double"),

        (QVariant.String, "String"),

        (QVariant.DateTime, "Date"),

        (QVariant.LongLong, "Double"),

        (QVariant.Date, "Date")])

I guess that Arnaud Morvan is the one that can give more info about that, since it is his work. Reassining to him

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-02 09:11 AM - Alexander Bruy

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Already fixed in master.
